При создании модели просит указать инструмент

Общие вопросы по оборудованию и программному обеспечению Компании ДЭП
Nunen
Сообщения: 27
Зарегистрирован: 23 ноя 2009, 09:56

Сообщение Nunen » 25 июн 2019, 06:29

Суть проблемы.
Был комп, система - мост - КП через радиостанцию, все работало несколько лет.
Сменился хозяин, комп поменяли не задумываясь. Встала задача восстановить системы. Случайно совсем получилось выудить жесткий диск обратно, но винда на новом железе не стартует, поэтому только исходники на нем полезны.
На новом компе поставили, как и было ХР, базовое ПО. При попытке прописать ВД контроллер - выдает ошибку: "Could not convert variant of type (Null) into type (Boolean)" Били в бубны, танцевали, звали шамана, не смогли ничего с этим сделать. Версия ПО 5.5.135.205, последняяя, что шла с диском ПО разработки мнемосхем пару лет назад. Погрешили на то, что ХР совсем уже ни во что не ставится.
Поставили 7-ку 64-бит, поставили ПО, все заработало, ВД прописался, связь возникла сразу, в конфигураторе данные вычитываются. Нашли рабочую версию Мнемосхемы, написанной на ПО деп, установили это ПО, воткнули ключ, запустили, запускается, почти готово. Но модель! Модель не хочет компилироваться. Просит указать инструмент в настройках проекта. Лезем, видим что нужны ссылки на файлы. НО! Никогда за 10 лет этого не делали, все работало само собой. МОжет быть мы чего-то не поставили? Ставим все ПО, что у нас есть, точнее, что стояло на старом компе. Даже билдер 6-й воткнули, и базы депа к нему, и апдейты, и архивы и в общем всё. Не помогает. В чем может быть проблема? Что можно сделать? В чем может быть проблема? Такое ощущение, что чего-то не хватает, либо стоит что-то не то, либо что-то ен так сделали. Вроде бы все работает, и без глюков как на ХР, но не хочет она компилиться.
На объекте сейчас данные смотрят в конфигураторе, но это не совсем корректно и правильно. Хотелось бы добить до конца.

dws
Администратор
Сообщения: 102
Зарегистрирован: 29 май 2009, 13:45
Откуда: Компания ДЭП
Контактная информация:

Сообщение dws » 01 июл 2019, 19:44

Добрый день!
Отпишите мне на почту dws[at]dep.ru состав ПО ДЭП который установлен с указанием версий - особенно, что касается АРМ-а - Конструктро модели, Базовое ПО...